@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Amatic+SC:wght@400;700&family=Barlow:wght@400;500;600;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lobster+Two:wght@400;700&display=swap');

@font-face {
  font-family: "Monster Clubhouse";
  src: url(./font/Monster\ Clubhouse.ttf);
}

*{
  padding: 0;
  margin: 0;
  text-decoration: none;
  list-style-type: none;
  box-sizing: border-box;
  font-weight: 400;
  font-style: normal;
  /* border: solid 1px red; */
}

:root{
  --primary : #FEFCF6;
  --secondary : #547D64;
  /* --primary : #FCF9ED;
  --secondary : #7FA998; */
  --blob : #F1AA98;
}

h1{
  font-family: "Monster Clubhouse";
}

body{
  font-family: 'Roboto Condensed', sans-serif;
  background: var(--primary);
  /* min-height: 100vh; */
  /* width: 100vw; */
  /* height: 100vh; */
}


/* ---------------------------------------- HEADER ----------------------------------------   */
header {
  top: 0;
  left: 0;
  position: fixed;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--primary);
  padding: 24px 16px;
  transition: all 0.3s ease;
}
header.sticky{
  background-color: var(--secondary);
  padding: 8px 16px;
  border-bottom: 1px solid var(--primary);
}
header.sticky .navbar .menu-list li a,
header.sticky .navbar .logo a,
header.sticky .navbar .cancel-btn,
header.sticky .navbar .menu-btn{
  color: var(--primary);
}
/* -------------------- NAVBAR --------------------   */
.navbar{
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 10;
  transition: all 0.3s ease;
  width: 100%;
  max-width: 1000px;
}

.navbar .menu-list{
  display: inline-flex;
  z-index: 6;
}

.navbar .logo a{
  color: var(--secondary);
  font-size: calc(2rem + 0.75vw);
  font-weight: 500;
  font-family: "Lobster Two", sans-serif;
  word-spacing: 0px;
}

.menu-list li a {
  color: var(--secondary);
  /* font-size: 2rem; */
  font-size: calc(2rem + 0.25vw);
  font-weight: 700;
  margin-left: 25px;
  letter-spacing: 0px;
  font-family: "Amatic SC";
  /* transition: all 0.3s ease; */
}
.menu-list li a:hover{
  border-bottom: var(--secondary) solid 2px;
} 
header.sticky .navbar .menu-list li a:hover{
  border-bottom: var(--primary) solid 2px;
}

/*---------------------------------------- MAIN ----------------------------------------*/
main{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  max-width: 1000px;
  margin: auto;
  margin: 120px auto 0px auto;
}

main h1{
  background-color: var(--blob);
  font-size: calc(2rem + 1.5vw);
  font-weight: 500;
  padding: 16px 32px;
  border-radius: 24% 76% 40% 60% / 30% 26% 74% 70%;

}

.index h1{
  margin: 32px 0;
}

.about h1, .prestations-tarifs h1, .contact h1{
  margin: 32px 0 80px 0;
}


/*------------------------------------------------------------- ACCUEIL -------------------------------------------------------------*/

.approach {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  width: 100%;
  border-radius: 16px;
  padding: 0 8px;
}

.approach h2 {
  font-size: calc(1.5rem + 1.5vw);
  text-align: center;
  margin-bottom: 8px;
  font-weight: 500;
}

.approach strong{
  text-align: center;
  margin-bottom: 8px;
  font-size: calc(0.5rem + 1.5vw);
}

.img-plant{
  width: 72px;
  margin: 16px 0;
}

.img-kid{
  margin-bottom: 80px;
  width: 95%;
  border-radius: 8px;
}


/*------------------------------------------------------------- QUI SUIS-JE ? -------------------------------------------------------------*/
.about .img-plant{
  margin: 40px 0;
}
/*---------------------------------------- PRESENTATION ----------------------------------------*/
.presentation{
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 16px;
}

.presentation h2{
  font-size: calc(1.5rem + 0.5vw);
  margin-bottom: 16px;
}

.presentation .container{
  display: flex;
  flex-direction: column;
  align-items: center;
}

.presentation .container .content{
  flex-direction: column;
  justify-content: center;
  display: flex;
  align-items: center;
}

.presentation .container .content p{
  text-align: justify;
  margin-bottom: 16px;
  padding: 0 16px;
  font-weight: 300;
  line-height: 1.5;
  font-size: calc(1rem + 0.5vw);
}

.img-portrait{
  width: 40%;
  border-radius: 8px;
}

/*---------------------------------------- PARCOURS ----------------------------------------*/
.parcours{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-bottom: 80px;
}

.parcours h2{
  margin-bottom: 16px;
  font-size: calc(1.5rem + 0.5vw);
}

.parcours .content{
  display: flex;
  flex-direction: column;
}

.parcours .content p {
  font-size: calc(1rem + 0.5vw);
  margin-bottom: 16px;
  padding: 0 16px;
  text-align: justify;
  font-weight: 300;
  line-height: 1.5;
}

/*------------------------------------------------------------- PRESTATIONS -------------------------------------------------------------*/
.prestations-tarifs .img-plant{
  margin-bottom: 96px;
}

.prestations, .tcc, .seances, .paiement{
  display: flex;
  flex-direction: column;
  margin-bottom: 52px;
  align-items: center; 
  justify-content: center;
}
.prestations h2, .tcc h2, .seances h2, .paiement h2{
  align-self: flex-start;
  margin-bottom: 16px;
  padding-left: 16px;
  font-size: calc(1.5rem + 0.5vw);
}


/*---------------------------------------- INTRODUCTION ----------------------------------------*/
.introduction{
  display: flex;
  flex-direction: column;
  margin-bottom: 52px;
  /* align-items: center; */
  /* justify-content: center; */
}
/*---------------------------------------- MES PRESTATIONS ----------------------------------------*/
.prestations{
  width: 100%;
}

.prestations-container{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.suivis-container, .bilans-container{
  border-radius: 16px ;
  padding: 16px 0;
  background-color: var(--secondary);
  color: var(--primary);
  margin-bottom: 16px;
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 95%;
  min-height: 196px;
}
.suivis-container h3, .bilans-container h3{
  font-size: calc(1.25rem + 0.5vw);
  text-decoration: underline;
}


.introduction p, .introduction strong, .tcc p, .seances p, .paiement p, .paiement strong, .content-showed p, .content-showed strong, .content-hide p {
  font-size: calc(1rem + 0.5vw);
  font-weight: 300;
  padding: 0 16px;
  margin-bottom: 16px;
  line-height: 1.5;
  text-align: justify;
}

/*-------------------- Content Hide - Content Showed --------------------*/

/* Content-showed */
.content-showed{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.content-showed strong{
  margin-bottom: 0;
}

/* Content-hided */
.content-hide{
  display: none;
}
.content-hide.active{
  display: block;
}

.content-hide ul{
  padding: 0 16px;
}

.content-hide ul li{
  font-size: calc(0.75rem + 0.5vw);
  list-style-type: disc;
  margin-left: 24px;
  line-height: 1.5;
}

/* See-more Button */
.see-more{
  cursor: pointer;
  font-size: 1.5rem;
  opacity: 1;
  rotate: 90deg;
  cursor: pointer;
  transition: all ease 0.3s;
}
.see-more:hover{
  transform: translatex(1px);
}
.see-more.active{
  display: block;
  rotate: -90deg;
  transition: all ease 0.3s;
}
.see-more.off{
  transition: all ease 0.3s;
  opacity: 0;
  display: none;
}

/* Texte "voir plus" */
.voir-plus{
  opacity: 1;
  display: flex;
  transition: all ease 0.3s;
}
.voir-plus.active{
  transition: all ease 0.3s;
  opacity: 0;
  display: none;
}


/*---------------------------------------- TCC ----------------------------------------*/


/*---------------------------------------- SEANCES ----------------------------------------*/


/*---------------------------------------- PAIEMENT ----------------------------------------*/
.paiement strong{
  align-self: flex-start;
}


/*------------------------------------------------------------- CONTACT -------------------------------------------------------------*/
/*---------------------------------------- INFORMATIONS ----------------------------------------*/
.contact section{
  width: 100%;
}

.informations{
  margin-bottom: 32px;
}

.informations p{
  font-size: calc(1rem + 0.5vw);
  padding: 0 16px;
  text-align: justify;
  font-weight: 300;
  line-height: 1.5;
}

.contact .img-plant{
  margin-bottom: 96px;
}

/*---------------------------------------- COORDONNEES ----------------------------------------*/
.coordonnees{
  margin-bottom: 32px;
}
.coordonnees .row{
  display: flex;
  flex-direction: column;
  margin-bottom: 16px;
}

.coordonnees address .row p, .coordonnees address .row a{
  font-size: calc(0.75rem + 0.5vw);
  padding: 0 16px;
  text-align: justify;
  font-weight: 300;
  line-height: 1.5;
}

.coordonnees address .row a{
  color: black;
}

.coordonnees h3, .horaires h3, .carte h3{
  font-size: calc(1rem + 0.5vw);
  padding: 0 16px;
  font-weight: 400;
}


/*---------------------------------------- HORAIRES ----------------------------------------*/
.horaires{
  display: flex;
  flex-direction: column;
  margin-bottom: 32px;
}

.horaires h3{
  margin-bottom: 16px;
}

.horaires table{
  align-self: center;
  border-radius: 16px;
  line-height: 1.5;
  width: 95%;
  border-collapse: collapse;
}

th, td {
  border: 1px solid var(--secondary);
  padding: 8px 16px;
  text-align: left;
}
th {

  background-color: var(--secondary);
  color: var(--primary);
}

/*---------------------------------------- CARTE ----------------------------------------*/
.carte{
  margin-bottom: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.carte h3{
  align-self: flex-start;
  margin-bottom: 16px;
}

.map{
  width: 95%;
  height: 400px;
  border: 0;
  border-radius: 8px;
}

/* ------------------------------------------------------------- FOOTER -------------------------------------------------------------   */
footer{
  border-top: solid 1px var(--secondary);
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--primary);
  z-index: 3;
}

footer .content{
  padding: 8px 0px;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background-color: var(--primary);
  max-width: 1000px;
  width: 100%;
  height: 100%;
}

footer .content p, footer .content a{
  color: var(--secondary);
  font-weight: 400;
}

/* ------------------------------------------------------------- MENU BURGER -------------------------------------------------------------   */
.icon{
  color: var(--secondary);
  font-size: 1.5rem;
  cursor: pointer;
  display: none;
}

.cancel-btn{
  display: none;
  position: absolute;
  right: 16px;
  top: 32px;
}

/* .cancel-btn.active{
  display: block;
} */

/* ---------------------------------------- RESPONSIVE ----------------------------------------   */
@media (min-width : 420px){
  /* ----- INDEX ----- */
  .img-kid{
    width: 399px;
  }
}

@media (min-width : 470px){
  /* ----- PRESTATIONS ----- */
  .suivis-container, .bilans-container{
    width: 475px;
    margin: 0 8px 16px 8px;
  }
  .prestations-container{
    align-items: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
  }
  /* ----- FOOTER ----- */
  footer .content{
    flex-direction: row;
    font-size: calc(1rem + 0.25vw);
  }

}

@media (min-width : 600px){
  /* ----- QUI-SUIS-JE? ----- */
  .img-portrait{
    width: 240px;
  }
  /* ----- CONTACT ----- */
  .horaires table{
    width: 570px;
    align-self: flex-start;
    margin-left: 16px;
  }
}


@media (min-width : 800px){
  /* ----- QUI-SUIS-JE? ----- */
  .presentation .container{
    flex-direction: row;
  }
  .img-portrait{
    margin-right: 16px;
  }

}

@media (max-width : 875px){
  body.disabledScroll{
    overflow: hidden;
  }
  .menu-btn{
    display: block;
  }
  .cancel-btn.active{
    display: block;
    z-index: 10;
  }
  .menu-btn.hide{
    display: none;
  }
  /* .icon{
    display: block;
  } */
  /* .icon.hide{
    display: none;
  } */
  .navbar .menu-list{
    position: fixed;
    top: 0;
    left: -100%;
    height: 100vh;
    width: 100%;
    /* max-width: 400px; */
    display: block;
    padding: 40px 0;
    text-align: center;
    background: var(--primary);
    transition: all 0.3s ease;
  }
  .navbar .menu-list.active{
    left: 0%;
  }

  .navbar .menu-list li{
    margin: 24px 0;
    padding: 16px 0;
  }
  .navbar .menu-list li a{
    font-size: 1.5rem;
  }
  .menu-list li:hover{
    background-color: var(--secondary);
  }
  .menu-list li:hover a{
    color: var(--primary);
  }
  header.sticky .menu-list{
    background-color: var(--secondary);
  }

  header.sticky .menu-list li:hover{
    background-color: var(--primary);
  }
  header.sticky .menu-list li:hover a{
    color: var(--secondary);
  }

  header.sticky .cancel-btn{
    top: 16px;
    right: 16px;
  }

}

@media (min-width : 1200px){
  /* ----- INDEX ----- */
  .approach h2{
    font-size: calc(1.5rem + 18px);
  }
  .approach strong{
    font-size: calc(0.5rem + 18px);
  }
}
